"use strict";

require('../../mocha-config.js');

var SubmapPanel = require('../../../../main/js/gui/leftPanel/SubmapPanel');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../../logger');

describe('SubmapPanel', function() {

  it('contructor', function() {
    var div = document.createElement("div");

    var map = helper.createCustomMap();

    new SubmapPanel({
      element : div,
      customMap : map,
      parent : {
        getMap : function() {
          return map;
        }
      }
    });
    assert.equal(logger.getWarnings().length, 0);
    var buttons = div.getElementsByTagName("button");
    assert.equal(buttons.length, 1);
  });

});
