"use strict";

/* exported logger */

require("../mocha-config.js");

var Legend = require('../../../main/js/gui/Legend');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('Legend', function() {

  it('constructor', function() {
    var map = helper.createCustomMap();

    new Legend({
      element : testDiv,
      customMap : map
    });

    assert.equal(logger.getWarnings().length, 0);

  });

  it('init', function() {
    var map = helper.createCustomMap();

    var legend = new Legend({
      element : testDiv,
      customMap : map
    });
    
    return legend.init();
  });

});
